Skip to main content

Events and editions

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Events
Link copied!

MethodEndpointSummary
GET/events/{eventId}Get an event
DELETE/events/{eventId}Delete an event
PATCH/events/{eventId}Update an event
POST/events/{eventId}/archiveArchive events
GET/events/search/findByDateRangeSearch events by date
GET/events/search/findByDateRangeAndSlotsSearch events by date range and slots
GET/hubs/{hubId}/eventsList events
POST/hubs/{hubId}/eventsCreate a new event

Get an event
Link copied!

GET /events/{eventId}

https://api.amplience.net/v2/content/events/{eventId}

Get an Event by ID

Parameters

NameInTypeRequiredDescription
eventIdpathstringEvent ID
Example: 00112233445566778899aabb
projectionquerystring (withEditions)Include related Editions

Responses

StatusDescription
200The requested Event, including corresponding Editions if projection=withEditions was supplied
Response example (200): Single event
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}
Response example (200): With edition projection
{
"id": "00112233445566778899aabb",
"name": "Event2",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"editions": [
{
"id": "00112233445566778899aabb",
"name": "My Edition",
"comment": "This is an example edition.",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"schedulingErrors": null,
"activeEndDate": false,
"publishingJobId": null,
"statusUpdated": "2019-01-01T00:00:00.000Z",
"schedulingUser": null,
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": null,
"slotCollisions": false
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}

Delete an event
Link copied!

DELETE /events/{eventId}

https://api.amplience.net/v2/content/events/{eventId}

Delete an Event by ID

Parameters

NameInTypeRequiredDescription
eventIdpathstringEvent ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204No Content

Update an event
Link copied!

PATCH /events/{eventId}

https://api.amplience.net/v2/content/events/{eventId}

Update an Event by ID

Parameters

NameInTypeRequiredDescription
eventIdpathstringEvent ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringName
commentstringComment
startstringThe Event start date
endstringThe Event end date
briefstringBrief - external URI that related to this Event
localesLocales
Request example
{
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
]
}

Responses

StatusDescription
200The requested Event
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"update": {
"href": "https://api.amplience.net/..."
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
"templated": true
}
}
}

Archive events
Link copied!

POST /events/{eventId}/archive

https://api.amplience.net/v2/content/events/{eventId}/archive

Archiving an event is irreversible, you cannot unarchive. Archiving an event will also archive all editions contained within the event.

Parameters

NameInTypeRequiredDescription
eventIdpathstringEvent ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Archived Event
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"status": "ARCHIVED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}",
"templated": true
}
}
}

Search events by date
Link copied!

GET /events/search/findByDateRange

https://api.amplience.net/v2/content/events/search/findByDateRange

List all of the Events for a given date

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
rangeStartquerystringThe start date to search from
Example: 2019-01-01T00:00:00.000Z
rangeEndquerystringThe end date to search to
Example: 2019-01-01T00:00:00.000Z
projectionquerystring (withEditions)Include child Editions
boundedqueryintegerFind events that have either started or ended within the date range
Example: 1
sizequeryintegerSet the number of results per page
Example: 10

Responses

StatusDescription
200Paginated Event List
Response example (200): Paginated event list
{
"_embedded": {
"events": [
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
},
"page": {
"size": 20,
"totalElements": 5,
"totalPages": 1,
"number": 0
}
}
Response example (200): With editions projection
{
"_embedded": {
"events": [
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"editions": [
{
"id": "00112233445566778899aabb",
"name": "My Edition",
"comment": "This is an example edition.",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"schedulingErrors": null,
"activeEndDate": false,
"publishingJobId": null,
"statusUpdated": "2019-01-01T00:00:00.000Z",
"schedulingUser": null,
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": null,
"slotCollisions": false
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
},
"page": {
"size": 20,
"totalElements": 5,
"totalPages": 1,
"number": 0
}
}

Search events by date range and slots
Link copied!

GET /events/search/findByDateRangeAndSlots

https://api.amplience.net/v2/content/events/search/findByDateRangeAndSlots

List all of the Events for a given date range and slot ID

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
rangeStartquerystringThe start date to search from
Example: 2019-01-01T00:00:00.000Z
rangeEndquerystringThe end date to search to
Example: 2019-01-01T00:00:00.000Z
projectionquerystring (withEditions)Include child Editions
boundedqueryintegerFind events that have either started or ended within the date range
Example: 1
slotsquerystringSlot ID
Example: 00112233-4455-6677-8899-aabbccddeeff
localesquerystringLocale to match
Example: en-GB
sizequeryintegerSet the number of results per page
Example: 10

Responses

StatusDescription
200Paginated Event List
Response example (200): Paginated event list
{
"_embedded": {
"events": [
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
},
"page": {
"size": 20,
"totalElements": 5,
"totalPages": 1,
"number": 0
}
}
Response example (200): With editions projection
{
"_embedded": {
"events": [
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"editions": [
{
"id": "00112233445566778899aabb",
"name": "My Edition",
"comment": "This is an example edition.",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"schedulingErrors": null,
"activeEndDate": false,
"publishingJobId": null,
"statusUpdated": "2019-01-01T00:00:00.000Z",
"schedulingUser": null,
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": null,
"slotCollisions": false
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"hub": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb"
},
"update": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}"
},
"editions": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?page,size,sort}"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"first": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"last": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20",
"search": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
},
"page": {
"size": 20,
"totalElements": 5,
"totalPages": 1,
"number": 0
}
}

List events
Link copied!

GET /hubs/{hubId}/events

https://api.amplience.net/v2/content/hubs/{hubId}/events

List all of the Events created for a hub

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Paginated Event List
Response Example (200)
{
"_embedded": {
"events": [
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"update": {
"href": "https://api.amplience.net/..."
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events?page=0&size=20"
},
"search": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/events/search"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create a new event
Link copied!

POST /hubs/{hubId}/events

https://api.amplience.net/v2/content/hubs/{hubId}/events

Create a new Event for a particular Hub.

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringName
commentstringComment
startstringThe Event start date
endstringThe Event end date
briefstringBrief - external URI that related to this Event
localesLocales
Request example
{
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
]
}

Responses

StatusDescription
200The created Event
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an example Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://external.doc/mybrief",
"locales": [
"en-GB",
"it"
],
"_links": {
"update": {
"href": "https://api.amplience.net/..."
},
"delete": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"archive": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/archive"
},
"create-edition": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions{?sourceEditionId}",
"templated": true
}
}
}

Editions
Link copied!

MethodEndpointSummary
GET/editions/{editionId}Get edition
PATCH/editions/{editionId}Update edition
DELETE/editions/{editionId}Delete edition
POST/editions/{editionId}/archiveArchive edition
GET/editions/{editionId}/conflictsGet edition conflicts
PUT/editions/{editionId}/conflictsResolve edition conflicts
GET/editions/{editionId}/conflicts/findByIdAndVersionGet edition conflict by id and version
POST/editions/{editionId}/edition-contentsCreate edition content
GET/editions/{editionId}/edition-contentsList edition contents
GET/editions/{editionId}
/edition-contents/{editionContentsId}
Get edition content
DELETE/editions/{editionId}
/edition-contents/{editionContentsId}
Delete edition content
PATCH/editions/{editionId}
/edition-contents/{editionContentsId}/content
Associate edition content
POST/editions/{editionId}/previewCreate edition preview
GET/editions/{editionId}/previewGet edition preview
DELETE/editions/{editionId}/previewDelete edition preview
POST/editions/{editionId}/scheduleSchedule edition
DELETE/editions/{editionId}/scheduleUnschedule edition
GET/editions/{editionId}/slot-collisionsGet edition slot collisions
POST/editions/{editionId}/slotsAssign edition slots
GET/editions/{editionId}/slotsGet edition slots
GET/editions/{editionId}/slots/{slotId}Get edition slot
DELETE/editions/{editionId}/slots/{slotId}Delete edition slot
PUT/editions/{editionId}/slots/{slotId}/contentCreate edition slot content
POST/editions/{editionId}/slots/{slotId}/previewCreate edition slot preview
GET/editions/search/findByDateFind by date range
GET/editions/search/findByEventFind by event
POST/events/{eventId}/editionsCreate edition
GET/events/{eventId}/editionsList editions
GET/events/{eventid}/editions/searchSearch editions
GET/snapshots/{snapshotId}/edition-linksGet snapshot edition links
DELETE/snapshots/{snapshotId}/edition-links/{editionId}Delete snapshot edition link

Get edition
Link copied!

GET /editions/{editionId}

https://api.amplience.net/v2/content/editions/{editionId}

Get Edition

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Get Edition response
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": true
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

Update edition
Link copied!

PATCH /editions/{editionId}

https://api.amplience.net/v2/content/editions/{editionId}

Update Edition

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringEdition Name
commentstringEdition Comment
activeEndDatebooleanActive End Date
Request example
{
"name": "Edition",
"comment": "This is an Edition comment",
"activeEndDate": false
}

Responses

StatusDescription
200Update Edition response
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": true
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

Delete edition
Link copied!

DELETE /editions/{editionId}

https://api.amplience.net/v2/content/editions/{editionId}

Delete Edition

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
204Delete Edition response

Archive edition
Link copied!

POST /editions/{editionId}/archive

https://api.amplience.net/v2/content/editions/{editionId}/archive

Archiving an edition is irreversible, you cannot unarchive.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Archive Edition response
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "PUBLISHED",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"status": "ARCHIVED",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"create-preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"event": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
},
"edition-conflicts": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
},
"edition-conflict": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion{?id,version}",
"templated": true
},
"slot-collisions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
}
}
}

Get edition conflicts
Link copied!

GET /editions/{editionId}/conflicts

https://api.amplience.net/v2/content/editions/{editionId}/conflicts

Get Edition Conflicts

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Get Edition Conflicts response
Response Example (200)
{
"conflictedItems": [
{
"contentItemId": "00112233445566778899aabb",
"contentItemLabel": "Banner Ad Homepage",
"versions": [
{
"version": 1,
"instances": 1,
"slots": 1
}
]
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflict"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"edition-conflict": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion{?id,version}",
"templated": true
}
}
}

Resolve edition conflicts
Link copied!

PUT /editions/{editionId}/conflicts

https://api.amplience.net/v2/content/editions/{editionId}/conflicts

Resolve Edition Conflicts

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
commentstringComment
lastModifiedDatestringLast Modified Date
resolutionsarray
Request example
{
"comment": "Comment",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"resolutions": [
{
"contentItemId": "00112233445566778899aabb",
"version": 1
}
]
}

Responses

StatusDescription
200Resolve Edition Conflicts response

Get edition conflict by id and version
Link copied!

GET /editions/{editionId}/conflicts/findByIdAndVersion

https://api.amplience.net/v2/content/editions/{editionId}/conflicts/findByIdAndVersion

Get Edition Conflict by Id and Version

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
versionquerynumberVersion
Example: 1
idquerystringId
Example: 00112233445566778899aabb

Responses

StatusDescription
200Edition Conflict by Id and Version response
Response Example (200)
{
"editionId": "00112233445566778899aabb",
"contentItemId": "00112233445566778899aabb",
"version": 1,
"instances": [
{
"snapshot": {
"snapshotId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"comment": "Comment",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"itemHierarchy": [
{
"contentItemId": "00112233445566778899aabb",
"version": 1,
"label": "Label"
}
]
}
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdAndVersion?id=00112233445566778899aabb&version=1"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"edition-conflict": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
}
}
}

Create edition content
Link copied!

POST /editions/{editionId}/edition-contents

https://api.amplience.net/v2/content/editions/{editionId}/edition-contents

Create Edition Content

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Create Edition Content Response
Response example (200): Create edition content
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
"name": "Name"
}
}
},
"status": "Active",
"label": "Banner Ad Homepage",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
},
"edition-contents": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

List edition contents
Link copied!

GET /editions/{editionId}/edition-contents

https://api.amplience.net/v2/content/editions/{editionId}/edition-contents

List Edition Contents

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
pagequeryintegerpage to retrieve
Example: 1
sizequeryintegerpage size to retrieve
Example: 20

Responses

StatusDescription
200List Edition Content Response
Response Example (200)
{
"_embedded": {
"edition-contents": [
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": "",
"label": "Banner Ad Homepage",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
},
"edition-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Get edition content
Link copied!

GET /editions/{editionId}/edition-contents/{editionContentsId}

https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}

Get Edition Content

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
editionContentIdpathstringEdition Content ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
200Edition Content Response
Response Example (200)
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": "",
"label": "Banner Ad Homepage",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
},
"edition-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

Delete edition content
Link copied!

DELETE /editions/{editionId}/edition-contents/{editionContentsId}

https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}

Delete Edition Content

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
editionContentIdpathstringEdition Content ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
204No Content

Associate edition content
Link copied!

PATCH /editions/{editionId}/edition-contents/{editionContentsId}/content

https://api.amplience.net/v2/content/editions/{editionId}/edition-contents/{editionContentsId}/content

Associate Snapshot to Edition Content

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
editionContentIdpathstringEdition Content ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
bodyobject
Request example
{
"body": {
"contents": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
"rootContentItemIds": [
"00112233-4455-6677-8899-aabbccddeeff"
],
"locked": true
},
"id": "00112233445566778899aabb",
"contentType": "http://example.com/banner.json"
}
}
}

Responses

StatusDescription
200Associate Edition Content Response
Response example (200): Associate edition content
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/hierarchy/hierarchy-schema.json",
"rootContentItemIds": [
"00112233-4455-6677-8899-aabbccddeeff"
],
"locked": true
},
"id": "00112233445566778899aabb,",
"contentType": "http://example.com/banner.json"
}
},
"status": "Active",
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
},
"edition-contents": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/edition-contents"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

Create edition preview
Link copied!

POST /editions/{editionId}/preview

https://api.amplience.net/v2/content/editions/{editionId}/preview

If an Edition has been Previewed or is Scheduled then you can retrieve the Snapshot to be used with the Preview application or in Time Machine.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
lastModifiedDatestringLast Modified Date
typestringType
Request example
{
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"type": "QUICKPREVIEW"
}

Responses

StatusDescription
200Paginated Edition List response
Response Example (200)
{
"snapshotId": "00112233445566778899aabb",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
}
}
}

Get edition preview
Link copied!

GET /editions/{editionId}/preview

https://api.amplience.net/v2/content/editions/{editionId}/preview

If an Edition has been Previewed or is Scheduled then you can retrieve the Snapshot to be used with the Preview application or in Time Machine.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Paginated Edition List response
Response Example (200)
{
"snapshotId": "00112233445566778899aabb",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
}
}
}

Delete edition preview
Link copied!

DELETE /editions/{editionId}/preview

https://api.amplience.net/v2/content/editions/{editionId}/preview

If an Edition has been Previewed it can be deleted, if the Edition is Scheduled then it cannot be deleted.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
204Delete Edition Preview response

Schedule edition
Link copied!

POST /editions/{editionId}/schedule

https://api.amplience.net/v2/content/editions/{editionId}/schedule

Schedule an Edition for publishing. To schedule successfully, all of the following must be true:

If slot collisions exist with other scheduled editions, a 409 error is returned unless ignoreWarnings=true is passed. This will then trigger the publishing job to take place on the start date of the Edition.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
ignoreWarningsquerybooleanWhen true, scheduling proceeds even if slot collisions exist with other scheduled editions.

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
lastModifiedDatestringLast Modified Date
Request example
{
"lastModifiedDate": "2019-01-01T00:00:00.000Z"
}

Responses

StatusDescription
204Schedule Edition response
409Conflict. Slot collisions exist with another scheduled edition. Pass ignoreWarnings=true to override, or resolve conflicts first using Get Edition Conflicts and Resolve Edition Conflicts.
Error response (409)
{
"errors": [
{
"message": "Edition has slot collisions",
"overlaps": [
{
"editionId": "00112233445566778899aabb"
}
]
}
]
}

Unschedule edition
Link copied!

DELETE /editions/{editionId}/schedule

https://api.amplience.net/v2/content/editions/{editionId}/schedule

If the Edition has been scheduled it is possible to cancel the publishing job by unscheduling the edition.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
204Unschedule Edition response

Get edition slot collisions
Link copied!

GET /editions/{editionId}/slot-collisions

https://api.amplience.net/v2/content/editions/{editionId}/slot-collisions

Get Edition Slot Collisions

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Get Edition Slot Collisions response
Response Example (200)
{
"editionId": "00112233445566778899aabb",
"editionSlotCollisionsResponseEntries": [
{
"editionName": "Edition",
"startDateTime": "2019-01-01T00:00:00.000Z",
"endDateTime": "2019-01-01T00:00:00.000Z",
"editionId": "00112233445566778899aabb",
"collidingSlotsIds": [
[
"00112233-4455-6677-8899-aabbccddeeff",
"00112233-4455-6677-8899-aabbccddeeff"
]
],
"eventName": "Event",
"eventId": "00112233445566778899aabb"
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
},
"slot-collisions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
}
}
}

Assign edition slots
Link copied!

POST /editions/{editionId}/slots

https://api.amplience.net/v2/content/editions/{editionId}/slots

Assign Edition Slots

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
sourceEditionSlotIdquerystringSource Edition Slot ID used to copy Edition Slot to Edition
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

Request example
[
{
"slot": "00112233-4455-6677-8899-aabbccddeeff"
}
]

Responses

StatusDescription
200Edition Slot Response
Response example (200): Associate slots to edition
{
"_embedded": {
"slots": [
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
"name": "Name"
}
}
},
"status": "VALID",
"slotStatus": "ACTIVE",
"contentTypeId": "00112233445566778899aabb",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"conflicts": false,
"locale": null,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition-slot": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"slot": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb?projection",
"templated": true
},
"content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
},
"safe-update-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content?lastModifiedDatepagesizesort",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 2,
"totalPages": 1,
"number": 0
}
}
Response example (200): Copy edition slot to edition
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
"name": "Name"
}
}
},
"status": "VALID",
"slotStatus": "ACTIVE",
"contentTypeId": "00112233445566778899aabb",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"conflicts": false,
"locale": null,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition-slot": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"slot": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb?projection",
"templated": true
},
"content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
},
"safe-update-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content?lastModifiedDatepagesizesort",
"templated": true
}
}
}

Get edition slots
Link copied!

GET /editions/{editionId}/slots

https://api.amplience.net/v2/content/editions/{editionId}/slots

Get Edition Slots

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
pagequeryintegerpage to retrieve
Example: 1
sizequeryintegerpage size to retrieve
Example: 20
includedSlotsquerystringRetrieving Slots associated to an Edition filtered by content item
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
200Edition Slot Response
Response Example (200)
{
"_embedded": {
"slots": [
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"contentTypeId": "00112233445566778899aabb",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition-slot": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"slot": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
"templated": true
},
"content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
},
"safe-update-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
"templated": true
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Get edition slot
Link copied!

GET /editions/{editionId}/slots/{slotId}

https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}

Get Edition Slot

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
slotIdpathstringSlot ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
200Edition Slot Response
Response Example (200)
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json",
"name": "Name"
}
}
},
"contentTypeId": "00112233445566778899aabb",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition-slot": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"slot": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
"templated": true
},
"content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
},
"safe-update-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
"templated": true
}
}
}

Delete edition slot
Link copied!

DELETE /editions/{editionId}/slots/{slotId}

https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}

Delete Edition Slot

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
slotIdpathstringSlot ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Responses

StatusDescription
204No Content

Create edition slot content
Link copied!

PUT /editions/{editionId}/slots/{slotId}/content

https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}/content

Create Edition Slot Content

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
slotIdpathstringSlot ID
Example: 00112233-4455-6677-8899-aabbccddeeff

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
bodyobject
labelstring
Request example
{
"body": {
"_meta": {
"name": "Slot",
"schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json"
},
"slot": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link",
"rootContentItem": "00112233-4455-6677-8899-aabbccddeeff",
"locked": true
},
"id": "00112233445566778899aabb",
"contentType": "http://deliver.bigcontent.io/schema/nested/nested-type.json"
}
},
"label": "Simple Slot"
}

Responses

StatusDescription
200Edition Slot Response
Response Example (200)
{
"id": "00112233445566778899aabb",
"eventId": "00112233445566778899aabb",
"editionId": "00112233445566778899aabb",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"content": {
"body": {
"_meta": {
"name": "Slot",
"schema": "http://deliver.bigcontent.io/schema/simple-slot-type.json"
},
"slot": {
"_meta": {
"schema": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link",
"rootContentItem": "00112233-4455-6677-8899-aabbccddeeff",
"locked": true
},
"id": "00112233445566778899aabb",
"contentType": "http://deliver.bigcontent.io/schema/nested/nested-type.json"
}
},
"label": "Simple Slot"
},
"contentTypeId": "00112233445566778899aabb",
"slotId": "00112233445566778899aabb",
"slotLabel": "Slot Label",
"conflicts": false,
"empty": true,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition-slot": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb"
},
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"slot": {
"href": "https://api.amplience.net/v2/content/content-items/00112233445566778899aabb{?projection}",
"templated": true
},
"content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content"
},
"safe-update-content": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots/00112233445566778899aabb/content{?lastModifiedDate,page,size,sort}",
"templated": true
}
}
}

Create edition slot preview
Link copied!

POST /editions/{editionId}/slots/{slotId}/preview

https://api.amplience.net/v2/content/editions/{editionId}/slots/{slotId}/preview

Allows for creating a preview snapshot of an edition slot, without creating a full edition preview.

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
editionSlotIdpathstringEdition Slot ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Snapshot ID response
Response Example (200)
{
"snapshotId": "00112233445566778899aabb",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb"
}
}
}

Find by date range
Link copied!

GET /editions/search/findByDate

https://api.amplience.net/v2/content/editions/search/findByDate

Find Editions using a Date Range

Parameters

NameInTypeRequiredDescription
hubIdquerystringHub ID
Example: 00112233445566778899aabb
rangeStartquerystringThe start date to search from
Example: 2019-01-01T00:00:00.000Z
rangeEndquerystringThe end date to search to
Example: 2019-01-01T00:00:00.000Z
projectionquerystring (withEvent)Include child Editions
boundedqueryintegerFind editions that have either started or ended within the date range. This parameter is ignored if expiringIn is set to true.
Example: 1
publishingStatusquerystring (DRAFT, SCHEDULING, SCHEDULED, PUBLISHED, UNSCHEDULING, PUBLISHING)Publishing Status
Example: DRAFT
expiringInquerybooleanFind editions that will end within the date range. When this is true, bounded is ignored.
Example: True
sizequeryintegerSet the number of results per page
Example: 10
pagequeryintegerPage number
Example: 0
sortquerystringSort parameter
Example: createdDate,asc

Responses

StatusDescription
200Paginated Edition List response
Response example (200): Paginated editions list
{
"_embedded": {
"editions": [
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"schedulingErrors": null,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"schedulingUser": null,
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"editions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"create-preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": null
},
"event": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"edition-conflicts": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
},
"edition-conflict": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdVersion{?id,version}",
"templated": true
},
"slot-collisions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"first": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"last": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"search": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20"
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}
Response example (200): With event projection
{
"_embedded": {
"editions": [
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"schedulingErrors": null,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"schedulingUser": null,
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"event": {
"id": "00112233445566778899aabb",
"name": "Event",
"comment": "This is an Event",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"brief": "http://host/test/brief",
"locales": [
"en-GB"
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"editions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"create-preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"preview": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/preview"
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": null
},
"event": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"edition-conflicts": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts"
},
"edition-conflict": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/conflicts/findByIdVersion{?id,version}",
"templated": true
},
"slot-collisions": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slot-collisions"
}
}
}
]
},
"_links": {
"self": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"first": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"last": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20",
"search": "https://api.amplience.net/v2/content/editions/search/findByDate?hubId=00112233445566778899aabb&rangeStart=2019-01-01T00:00:00.000Z&rangeEnd=2019-01-01T00:00:00.000Z&bounded=false&page=0&size=20"
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Find by event
Link copied!

GET /editions/search/findByEvent

https://api.amplience.net/v2/content/editions/search/findByEvent

Find Event by Id

Parameters

NameInTypeRequiredDescription
eventIdquerystringEvent Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Paginated Edition List response
Response Example (200)
{
"_embedded": {
"editions": [
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": true
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"search": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions/search"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Create edition
Link copied!

POST /events/{eventId}/editions

https://api.amplience.net/v2/content/events/{eventId}/editions

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition Id
Example: 00112233445566778899aabb
sourceEditionIdquerystringDuplicate an Edition by providing an Edition Id
Example: 00112233445566778899aabb
projectionquerystring (withEvent)Include parent event for edition

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
namestringEdition Name
commentstringEdition Comment
activeEndDatebooleanActive End Date
Request example
{
"name": "Edition",
"comment": "This is an Edition comment",
"activeEndDate": false
}

Responses

StatusDescription
200Create Edition response
Response Example (200)
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": true
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}

List editions
Link copied!

GET /events/{eventId}/editions

https://api.amplience.net/v2/content/events/{eventId}/editions

Parameters

NameInTypeRequiredDescription
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20

Responses

StatusDescription
200Paginated Edition List response
Response Example (200)
{
"_embedded": {
"editions": [
{
"id": "00112233445566778899aabb",
"name": "Edition",
"comment": "This is an Edition comment",
"start": "2019-01-01T00:00:00.000Z",
"end": "2019-01-01T00:00:00.000Z",
"eventId": "00112233445566778899aabb",
"publishingStatus": "DRAFT",
"slotsRemaining": 200,
"activeEndDate": false,
"publishingJobId": "00112233445566778899aabb",
"statusUpdated": "2019-01-01T00:00:00.000Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"lastModifiedBy": "00112233-4455-6677-8899-aabbccddeeff",
"lastModifiedDate": "2019-01-01T00:00:00.000Z",
"stagedDate": "2019-01-01T00:00:00.000Z",
"slotCollisions": false,
"_links": {
"slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots"
},
"copy-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?sourceEditionsSlotId}",
"templated": true
},
"list-slots": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/slots{?includedSlots}",
"templated": true
},
"schedule": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb/schedule{?ignoreWarnings}",
"templated": true
},
"update": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions?page=0&size=20"
},
"search": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb/editions/search"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Search editions
Link copied!

GET /events/{eventid}/editions/search

https://api.amplience.net/v2/content/events/{eventid}/editions/search

Parameters

NameInTypeRequiredDescription
eventIdpathstringEvent Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Search Editions response
Response Example (200)
{
"_links": {
"findOneByPublishManifestId": {
"href": "https://api.amplience.net/v2/content/editions/search/findOneByPublishManifestId"
},
"findByEvent": {
"href": "https://api.amplience.net/v2/content/editions/search/findByEvent?eventId=00112233445566778899aabb{&page,size,sort}",
"templated": true
},
"findOneByPublishingJobId": {
"href": "https://api.amplience.net/v2/content/editions/search/findOneByPublishingJobId"
},
"self": {
"href": "https://api.amplience.net/v2/content/events/00112233445566778899aabb"
}
}
}

GET /snapshots/{snapshotId}/edition-links

https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links

Return a list of edition links for the specified snapshot. Simply follow the HAL link with rel "snapshot-edition-links" from a snapshot response.

Parameters

NameInTypeRequiredDescription
snapshotIdpathstringSnapshot ID
Example: 00112233445566778899aabb
pagequeryintegerPage number
Example: 0
sizequeryintegerPage size
Example: 20
sortquerystringSort paramter
Example: createdDate,asc

Responses

StatusDescription
200Snapshot Edition Get Links Response
Response Example (200)
{
"_embedded": {
"edition-links": [
{
"editionId": "00112233445566778899aabb",
"createdDate": "2019-01-01T00:00:00Z",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"edition": "00112233445566778899aabb",
"_links": {
"edition": {
"href": "https://api.amplience.net/v2/content/editions/00112233445566778899aabb"
},
"delete": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links/00112233445566778899aabb"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/snapshots/00112233445566778899aabb/edition-links?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

DELETE /snapshots/{snapshotId}/edition-links/{editionId}

https://api.amplience.net/v2/content/snapshots/{snapshotId}/edition-links/{editionId}

Delete a Snapshot Edition Link

Parameters

NameInTypeRequiredDescription
editionIdpathstringEdition ID
Example: 00112233445566778899aabb

Responses

StatusDescription
204Successfully removed the Snapshot Edition link

Slots
Link copied!

"Slots" are content-items which are stored in separate repositories from other content-items. Their role is to be placeholders for snapshots.

Example slot content type
Link copied!

{
"$schema" : "http://bigcontent.io/cms/schema/v1/schema#",
"id" : "http://deliver.bigcontent.io/schema/simple-slot-type.json",
"title" : "slot",
"description" : "Slot Container",
"type":"object",
"properties": {
"slot": {
"title": "simple slot container",
"allOf":[
{"$ref": "http://bigcontent.io/cms/schema/v1/core#/definitions/content-link" },
{
"properties": {
"contentType": { "enum": [ "http://deliver.bigcontent.io/schema/nested/nested-type.json" ] }
}
}
]
}
}
}

You will need to register a content type capable of holding nested content in order to create a slot.

Pre-requsites
Link copied!

Creating a slot repository
Link copied!

A Slot Repository is just a Content Repository with the "slots" feature. See adding features to repositories for more information

Creating a slot
Link copied!

A Slot is a Content Item in a Slot Repository. Please refer to creating a content item for more information.

Associating slots to editions
Link copied!

Once you have a Slot Repository with some Slots you can then associate them with an Edition in order make them available for publishing.

  • Multiple Slots can be associated to an Edition, up to 200
  • A Slot can be associated with multiple Editions
  • A Slot can only be associated to an Edition once

When you associate Slots to an Edition, the slotsRemaining property on the Edition will decrease. If you attempt to associate more Slots than there are remaining on the Edition, the operation will fail.

Please refer to the Assign Edition Slots section for an example request.

Retrieving slots associated to an edition
Link copied!

Please refer to the Retrieving Edition Slots section for an example request.

Retrieving slots associated to an edition filter by content item
Link copied!

To filter by content item, we supply the includedSlots query parameter. Please refer to the Get Edition Slots section for an example request.

Retrieving an single slot associated to an edition
Link copied!

Please refer to the Get Edition Slot section for an example request.

Removing the association between a slot and an edition
Link copied!

Please refer to the Delete Edition Slot section for an example request.

Associating snapshots to slots
Link copied!

A slot is a placeholder for one or more snapshots. In order to associate those snapshots to this slot you will need to post the resulting content-item to the slot url.

Notice that in the below request, body.slot.id is the path to a snapshot. Not a content item.

The body.slot.id can also be set to null when the user hasn't currently assigned all of the fields. The service will accept this data, however the valid field will be set to false.

Please refer to the Create Edition Slot Content section for an example request.